Win32 - installer.sh - adding inst_inno()
hfelton-lists
hfelton_lists at hotmail.com
Wed Dec 20 22:28:14 EST 2006
howdee again,
last one for the evening - i hope.
this is the 'promised' installer for Inno-Setup
it downloads and kicks-off the graphical system
just fine as far as i can tell.
at this point id start to ask the semi-obvious
question: if i kicked off a nightly-build of the
installer and uploaded it to my google-page
for download - is that appropriate? prolly not.
i dont have a server (yet?) that i could use to
host-this stuff, but we are indeed getting close
to where a nightly-build might work feasibly, imho.
ok - i forgot to ask if yall cared about log-messages.
i havent got anything special in mind - but i know
that when i normally svn-commit stuff there needs
to be something written down. :::goes off to read
the most recent log-messages from repos...::: ooohhh...
carry on... :-) h.
Index: install.sh
===================================================================
--- install.sh (revision 15239)
+++ install.sh (working copy)
@@ -669,6 +669,21 @@
quiet glade-3 --version || die "glade not installed correctly"
}
+function inst_inno() {
+ setup Inno-Setup
+ _INNO_UDIR=`unix_path $INNO_DIR`
+ add_to_env $_INNO_UDIR PATH
+ if quiet which iscc
+ then
+ echo "Inno already installed. skipping."
+ else
+ smart_wget $INNO_URL $DOWNLOAD_DIR
+ echo "!!! When asked for an installation path, specify $INNO_DIR !!!"
+ $LAST_FILE
+ fi
+ quiet which iscc || die "inno-setup not installed correctly"
+}
+
function inst_svn() {
setup Subversion
_SVN_UDIR=`unix_path $SVN_DIR`
@@ -770,6 +785,7 @@
}
function finish() {
+ setup Finish...
_NEW=x
for _ENV in $ENV_VARS; do
_ADDS=`eval echo '"\$'"${_ENV}"'_ADDS"'`
Index: custom.sh
===================================================================
--- custom.sh (revision 15239)
+++ custom.sh (working copy)
@@ -156,6 +156,9 @@
GLADE_URL="$GNOME_MIRROR/sources/glade3/3.0/glade3-3.1.2.tar.bz2"
GLADE_DIR=$GLOBAL_DIR\\glade
+INNO_URL="http://files.jrsoftware.org/ispack/ispack-5.1.9.exe"
+INNO_DIR=$GLOBAL_DIR\\inno
+
SVN_URL="http://subversion.tigris.org/files/documents/15/35379/svn-1.4.2-setup.exe"
SVN_DIR=$GLOBAL_DIR\\svn
@@ -185,6 +188,9 @@
add_step inst_libgsf
add_step inst_goffice
#add_step inst_glade
+if test x$cross_compile != xyes ; then
+ add_step inst_inno
+fi
add_step inst_svn
add_step svn_up
add_step inst_gnucash
More information about the gnucash-devel
mailing list